Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.tree.util
Class Navigator.FollowingEnumeration

    java.lang.Object
      net.sf.saxon.tree.iter.AxisIteratorImpl
          net.sf.saxon.tree.util.Navigator.BaseEnumeration
              net.sf.saxon.tree.util.Navigator.FollowingEnumeration

All Implemented Interfaces:
  SequenceIterator, AxisIterator, UnfailingIterator

Enclosing class:
  Navigator

    public static final class Navigator.FollowingEnumeration

extends Navigator.BaseEnumeration

General purpose implementation of the following axis, in terms of the ancestor, child, and following-sibling axes

Field Summary

Fields inherited from class net.sf.saxon.tree.iter.AxisIteratorImpl
`current, position`

Fields inherited from interface net.sf.saxon.om.SequenceIterator
`GROUNDED, LAST_POSITION_FINDER, LOOKAHEAD`

Constructor Summary
`Navigator.FollowingEnumeration(NodeInfo start)` Create an iterator over the "following" axis

Method Summary
`void` | `advance()` The advance() method must be provided in each concrete implementation.
`SequenceIterator` | `getAnother()` Get another SequenceIterator that iterates over the same items as the original, but which is repositioned at the start of the sequence.

Methods inherited from class net.sf.saxon.tree.util.Navigator.BaseEnumeration
`next`

Methods inherited from class net.sf.saxon.tree.iter.AxisIteratorImpl
`atomize, close, current, getProperties, getStringValue, iterateAxis, moveNext, position`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Navigator.FollowingEnumeration

    public Navigator.FollowingEnumeration(NodeInfo start)

  Create an iterator over the "following" axis

  Parameters:
    `start` - the initial context node

Method Detail

### advance

    public void advance()

  Description copied from class: `Navigator.BaseEnumeration`
  The advance() method must be provided in each concrete implementation. It must leave the variable current set to the next node to be returned in the iteration, or to null if there are no more nodes to be returned.

  Specified by:
    `advance` in class `Navigator.BaseEnumeration`

### getAnother

    public SequenceIterator getAnother()

  Description copied from interface: `SequenceIterator`
  Get another SequenceIterator that iterates over the same items as the original, but which is repositioned at the start of the sequence.

  This method allows access to all the items in the sequence without disturbing the current position of the iterator. Internally, its main use is in evaluating the last() function.

  This method does not change the state of the iterator.

  Specified by:
    `getAnother` in interface `SequenceIterator`
  Specified by:
    `getAnother` in interface `UnfailingIterator`
  Specified by:
    `getAnother` in class `Navigator.BaseEnumeration`
  Returns:
    a SequenceIterator that iterates over the same items, positioned before the first item

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.